## krfb 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
@@ -73,42 +73,17 @@
 
 option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
 if(NOT DISABLE_PIPEWIRE)
-    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+    find_package(KPipeWire REQUIRED)
 endif()
-add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
+add_feature_info(PipeWire KPipeWire_FOUND "Required for pipewire screencast plugin")
 find_package(PlasmaWaylandProtocols 1.5.0)
 
-if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
+if(KPipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
     find_package(KF5Wayland ${KF5_MIN_VERSION})
     find_package(QtWaylandScanner REQUIRED)
     find_package(Qt5WaylandClient)
     find_package(Qt5XkbCommonSupport)
     find_package(Wayland REQUIRED COMPONENTS Client)
-endif()
-
-find_package(gbm)
-set_package_properties(gbm PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-find_package(EGL)
-set_package_properties(EGL PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-find_package(epoxy)
-set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
-    URL "https://github.com/anholt/libepoxy"
-    TYPE OPTIONAL
-    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
-)
-
-if(EGL_FOUND AND gbm_FOUND AND epoxy_FOUND)
-  set (HAVE_DMA_BUF TRUE)
-else()
-  set (HAVE_DMA_BUF FALSE)
 endif()
 
 ecm_setup_version(PROJECT
