## krfb 23.8.2

=== debian/changelog ===
krfb (4:23.8.2-deepin) unstable; urgency=medium

  * Maintainer upload
  * New upstream release

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 19 Oct 2023 16:57:15 +0800

krfb (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Re-export upstream signing key without extra signatures.
  * Backport upstream commit 01c775f2e89b705d8375c0ccc0543fc82be53414 to
    hook up keyevents on Wayland; patch
    upstream_Hook-up-keyevents-on-Wayland.patch (Closes: #1032595)
  * Fix building on non-Linux architectures, by limiting the Wayland support
    to Linux architectures:
    - restrict some build dependencies as linux-any: libkf5wayland-dev,
      libwayland-dev, plasma-wayland-protocols, and qtwayland5-dev-tools
  * Add more build dependencies to enable the dma-buf support in the pipewire
    screencast plugin: libegl-dev, libepoxy-dev, libgbm-dev.
  * Add more build dependencies related to the Wayland support:
    libqt5waylandclient5-dev, and qtbase5-private-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Mar 2023 07:23:50 +0100
