=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Sune Vuorela <sune@debian.org>,
+Maintainer: xiangzelong <xiangzelong@deepin.org>
+Uploaders: xiangzelong <xiangzelong@deepin.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
+               libegl-dev,
+               libepoxy-dev,
+               libgbm-dev [linux-any],
                libjpeg-dev,
+               libkpipewire-dev (>= 5.27.0~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),
@@ -19,14 +22,15 @@
                libkf5i18n-dev (>= 5.91.0~),
                libkf5notifications-dev (>= 5.91.0~),
                libkf5wallet-dev (>= 5.91.0~),
-               libkf5wayland-dev (>= 4:5.91.0~),
+               libkf5wayland-dev (>= 4:5.91.0~) [linux-any],
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libpipewire-0.3-dev [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
+               libqt5waylandclient5-dev [linux-any],
                libvncserver-dev,
-               libwayland-dev,
+               libwayland-dev [linux-any],
                libx11-dev,
                libxcb-damage0-dev,
                libxcb-image0-dev,
@@ -38,10 +42,10 @@
                libxdamage-dev,
                libxtst-dev,
                pkg-config,
-               pkg-kde-tools,
-               plasma-wayland-protocols (>= 1.5.0),
+               plasma-wayland-protocols (>= 1.5.0) [linux-any],
                qtbase5-dev (>= 5.15.2~),
-               qtwayland5-dev-tools,
+               qtbase5-private-dev,
+               qtwayland5-dev-tools [linux-any],
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/krfb
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
