=== debian/changelog ===
krfb (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Build without optional pipewire until KF6.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Aug 2024 11:05:52 +0100

krfb (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:17 +1100

krfb (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:17:22 +0000

krfb (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:15:20 -0700
