## krfb 24.12.0

=== debian/changelog ===
krfb (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:21:11 +0100

krfb (4:24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Switch to kf6 debhelper build sequence, remove unneeded debian/rules
    arguments.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 00:23:26 +0100
