=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-kf6,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                kwayland-dev (>= 4:6.2.0~) [linux-any],
@@ -42,14 +43,14 @@
                libxtst-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.5.0) [linux-any],
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.3.0~),
                qt6-base-private-dev (>= 6.3.0~),
                qt6-wayland-dev (>= 6.3.0~) [linux-any],
                qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/krfb
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
 Rules-Requires-Root: no
 
 Package: krfb
