=== debian/changelog ===
krfb (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix incorrect cursor position under display scaling. (kde#466276)
  * New upstream release (25.04.2).
    - Translation fixes.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:43:44 +0200

krfb (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:44 +0200
