=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: krfb
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-sequence-kf5,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                kwayland-dev (>= 4:6.2.0~) [linux-any],
@@ -43,14 +42,14 @@
                libxtst-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.5.0) [linux-any],
-               qt6-base-dev (>= 6.3.0~),
+               qt6-base-dev (>= 6.5.0~),
                qt6-base-private-dev (>= 6.3.0~),
                qt6-wayland-dev (>= 6.3.0~) [linux-any],
                qt6-wayland-dev-tools (>= 6.3.0~) [linux-any],
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/krfb
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/krfb/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
 Rules-Requires-Root: no
 
 Package: krfb
